#!/usr/bin/perl

=pod

=head1 NAME

display.fcgi - FastCGI wrapper script for Display.pm

=head1 DESCRIPTION

Pulls in Display.pm and CGI::Fast, runs a configuration file, and
loops over FastCGI queries, passing them to Display::handle.

=cut

use strict;
use warnings;
no  warnings 'uninitialized';

use lib 'lib';
use lib 'wala';

use CGI::Fast;
use Display;

# Grab configuration:
our (%DISPLAY_CONF, %WalaConf);
do 'conf.pl' if -e 'conf.pl';
$WalaConf{'ShowSearchlinks'} = 0;

my $d = Display->new(%DISPLAY_CONF);
$d->walaconf(%WalaConf);

use Data::Dumper;

# Handle input from FastCGI:
while (my $query = CGI::Fast->new) {
    print $d->display($query);
}

exit;
