#!/usr/bin/perl

=pod

=head1 NAME

display.pl - simple wrapper script for Display.pm

=head1 DESCRIPTION

Pulls in Display.pm, runs a configuration file, and passes off parameters to
Display::handle.

=cut

use strict;
use warnings;
no  warnings 'uninitialized';

use lib 'lib';
use lib 'wala';

use Display;

# Grab configuration:
our (%DISPLAY_CONF, %WalaConf);
do 'conf.pl' if (-e 'conf.pl');

my $d = Display->new(%DISPLAY_CONF);
$WalaConf{ShowSearchlinks} = 0;
$d->walaconf(%WalaConf);

print $d->display(@ARGV);
