##################
#  WALA OPTIONS  #
##################

%WalaConf = (
    
    RecentChangesMaxLines => 50,  # Max lines to display in RecentChanges
    DefaultUserName       => 'Anonymous',  # Default user name
    StyleSheet            => 'wala.css',  # URL of style sheet
    DefaultPageText       => "Write something.\n",
    CookieSurvivalDays    => 90,  # Number of days for cookies to remain
    RootDir               => '.', # No trailing slash, please
    HomePage              => 'HomePage', # Name of default page
    TimeZone              => 'UTC', # Currently just a string to display
    TitleString           => 'wala::', # Display before page names in titles
    ScriptName            => 'wala.pl', # substr( $0, rindex( $0, "/" ) + 1 );
    ShowSearchlinks       => 1, # Display "see also" box on pages
    UseCache              => 0, # Don't cache generated pages

    # Check for important files every time we run the script.
    # This can be changed to 0 for faster load times once everything
    # is working:
    CheckSetup            => 1,
    
    # Uncomment and set to use a feed script:
    #FeedURL               => "http://path/to/wala/feed.pl",

);

# Set some important paths relative to our root directory:
$WalaConf{LogFile} = $WalaConf{RootDir} . '/log';
$WalaConf{PagesDir} = $WalaConf{RootDir} . '/pages';
$WalaConf{CacheDir} = $WalaConf{RootDir} . '/cache';
$WalaConf{DiffDir} = $WalaConf{RootDir} . '/diffs';

# Should be empty unless we're going to use display.pl:
%DISPLAY_CONF = (
);

