# conf.pl - sample configuration file for Wala.pm

# This is the working configuration I use with Wala.pm on p1k3.com.

##################
#  WALA OPTIONS  #
##################

our %WalaConf = (
  RecentChangesMaxLines => 50, 
  DefaultUserName       => 'Anonymous',
  StyleSheet            => 'http://p1k3.com/wala/wala.css',
  DefaultPageText       => "Write something.\n",
  CookieSurvivalDays    => 90,
  HomePage              => "HomePage",
  TimeZone              => "UTC",
  TitleString           => "p1k3 wala::",
  ScriptName            => "http://p1k3.com/wala/wala.pl",
  CheckSetup            => 0,
  # No trailing slash on RootDir, please.
  RootDir               => "/home/bbearnes/p1k3.com/wala",
  FeedURL               => "http://p1k3.com/wala/wala_feed.pl",
  ShowSearchlinks       => 1,
  UseCache              => 0,
);

$WalaConf{LogFile} = $WalaConf{RootDir} . '/log';
$WalaConf{PagesDir} = $WalaConf{RootDir} . '/pages';
$WalaConf{CacheDir} = $WalaConf{RootDir} . '/cache';
$WalaConf{DiffDir} = $WalaConf{RootDir} . '/diffs';

########################
#  display.pl options  #
########################

our %DISPLAY_CONF = (
  # set the root directory for archived files
  ROOT_DIR => "/home/bbearnes/p1k3.com/archives",

  # and the root URLs the world will see on the server
  URL_ROOT => "http://p1k3.com/",
  IMAGE_URL_ROOT => "http://p1k3.com/"
);
